%define upstream_name	 BioPerl-Run
%define upstream_version 1.006900

%define _requires_exceptions perl(Bio::Root::AccessorMaker)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    BioPerl wrappers for external programs
License:    Artistic
Group:      Development/Perl
Url:        http://www.bioperl.org
Source0:    http://bioperl.org/DIST/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Bio::Root::Version) >= 1.6.900
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl-bioperl >= 1.6.0
BuildArch:  noarch

Obsoletes:  perl-Bioperl-Run <= 1.6.1
Provides:   perl-Bioperl-Run
Obsoletes:  perl-bioperl-run <= 1.6.1
Provides:   perl-bioperl-run

%description
Officially organized in 1995 and existing informally for several years
prior, The Bioperl Project is an international association of developers
of open source Perl tools for bioinformatics, genomics and life science
research.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor <<EOI
y
n
EOI
./Build

%check
# most of the check useanon-packaged  external tools, so they are useless there
#./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc AUTHORS Changes DEPENDENCIES INSTALL LICENSE META.json META.yml README
%{perl_vendorlib}/Bio
%{_bindir}/*
%{_mandir}/man?/*


%changelog

* Sat Oct 15 2011 jquelin <jquelin> 1.6.900-1.mga2
+ Revision: 155313
- update to 1.6.900
- perl 5.14.2 rebuild

* Sun Jun 19 2011 jquelin <jquelin> 1.6.1-5.mga2
+ Revision: 109902
- rebuild script for perl 5.14.1

* Sat Jun 11 2011 spuhler <spuhler> 1.6.1-4.mga2
+ Revision: 104042
- increase rel for rebuild

* Thu Jan 27 2011 jquelin <jquelin> 1.6.1-3.mga1
+ Revision: 42088
- mageia rebuild
- imported package perl-bioperl-run

